JmxEnabled (Apache Tomcat 9.0.102 API Documentation)
Description: declaration: package: org.apache.catalina, interface: JmxEnabled

Package org.apache.catalina

# Interface JmxEnabled

All Superinterfaces:
  `MBeanRegistration`

All Known Implementing Classes:
  `AbstractAccessLogValve`, `AccessLogValve`, `AuthenticatedUserRealm`, `AuthenticatorBase`, `BackupManager`, `BasicAuthenticator`, `ClusterManagerBase`, `ClusterSingleSignOn`, `CombinedRealm`, `Connector`, `ContainerBase`, `CrawlerSessionManagerValve`, `DataSourceRealm`, `DeltaManager`, `DigestAuthenticator`, `ErrorReportValve`, `ExtendedAccessLogValve`, `ExtractingRoot`, `FailedContext`, `FormAuthenticator`, `HealthCheckValve`, `JAASMemoryLoginModule`, `JAASRealm`, `JDBCAccessLogValve`, `JDBCRealm`, `JNDIRealm`, `JsonAccessLogValve`, `JsonErrorReportValve`, `JvmRouteBinderValve`, `LifecycleMBeanBase`, `LoadBalancerDrainingValve`, `LockOutRealm`, `ManagerBase`, `MapperListener`, `MemoryRealm`, `NamingResourcesImpl`, `NonLoginAuthenticator`, `NullRealm`, `PersistentManager`, `PersistentManagerBase`, `PersistentValve`, `ProxyErrorReportValve`, `RealmBase`, `RemoteAddrValve`, `RemoteCIDRValve`, `RemoteHostValve`, `RemoteIpValve`, `ReplicatedContext`, `ReplicationValve`, `RequestFilterValve`, `RewriteValve`, `SemaphoreValve`, `SimpleTcpCluster`, `SingleSignOn`, `SpnegoAuthenticator`, `SSLAuthenticator`, `SSLValve`, `StandardContext`, `StandardEngine`, `StandardHost`, `StandardManager`, `StandardRoot`, `StandardServer`, `StandardService`, `StandardThreadExecutor`, `StandardVirtualThreadExecutor`, `StandardWrapper`, `StuckThreadDetectionValve`, `Tomcat.ExistingStandardWrapper`, `UserDatabaseRealm`, `ValveBase`, `WebappLoader`

public interface JmxEnabled extends MBeanRegistration
This interface is implemented by components that will be registered with an MBean server when they are created and unregistered when they are destroyed. It is primarily intended to be implemented by components that implement `Lifecycle` but is not exclusively for them.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDomain()`
  `ObjectName`
  `getObjectName()`
  `void`
  `setDomain(String domain)`
  Specify the domain under which this component should be registered.

  ### Methods inherited from interface javax.management.MBeanRegistration

  `postDeregister, postRegister, preDeregister, preRegister`

- ## Method Details

  - ### getDomain

    String getDomain()
    Returns:
      the domain under which this component will be / has been registered.

  - ### setDomain

    void setDomain(String domain)
    Specify the domain under which this component should be registered. Used with components that cannot (easily) navigate the component hierarchy to determine the correct domain to use.
    Parameters:
      `domain` - The name of the domain under which this component should be registered

  - ### getObjectName

    ObjectName getObjectName()
    Returns:
      the name under which this component has been registered with JMX.